<!-- Breadcrumb -->
<div class="breadcrumbs overlay" data-stellar-background-ratio="0.7">
	
</div>
<!--/ End Breadcrumb -->
<div class="container">
    <div class="row my-4">
        <div class="col-md-12">
            <ul class="booking-journey">
                <li class="done">
                    <a class="item" href>
						Search
						<i class="icon-tick-bold"></i>
					</a>
				</li>
                <li class="done">
                    <span class="item">
						Choose Flight <i class="icon-tick-bold"></i>
					</span>
				</li>
                <li class="active">
                    <span class="item">
						Choose Hotel
					</span>
				</li>
                <li>
                    <span class="item">
						Choose Room
					</span>
				</li>
                <li>
                    <span class="item">
						Choose Extras
					</span>
				</li>
                <li>
                    <span class="item">
						Book
					</span>
				</li>
			</ul>
		</div>
	</div>
	
    <div class="row my-4">
        <div class="col-md-12">
            <button type="button" class="btn btn-secondary btn-refine-search btn-block" ng-click="isCollapsed = !isCollapsed">
				{{night}} nights &comma; &lpar;{{hotelResponse.checkInDate}}&rpar; &minus; &lpar;{{hotelResponse.checkOutDate}}&rpar; &comma; 1 Room &lpar; {{flightResponse.adtCnt}} Adults  <span ng-if="flightResponse.chldCnt != 0"> &comma; {{flightResponse.chldCnt}} Children </span><span ng-if="flightResponse.infntCnt != 0"> &comma; {{flightResponse.infntCnt}} Infant </span>&rpar; 
                <a href class="search-panel-arrow"><i ng-class="{'icon-chevron-down': isCollapsed, 'icon-chevron-up':!isCollapsed}" class="o-icon-label__icon"></i></a>
                <span class="change-search"><i class="o-icon-label__icon icon-search"></i> Change Search</span>                
			</button>
            <div uib-collapse="!isCollapsed" class="search-pane">
                <div ng-include="'views/holiday/holidaySearch.html'"></div>
			</div>
		</div>
	</div>
	
    <div class="row my-4">
        <div class="col-md-12 search-results-panel">
            <div class="search-results-info-panel sc-u-grid-gutter-y">
                <h1 class="sc-c-heading holiday-heading sc-c-heading--xl"><i class="icon-flights"></i> Your Flight {{flightResponse.frmAirprt.split('(')[1].substring(0,3)}} <i class="icon-arrow-right"></i> {{flightResponse.frmAirprt.split('(')[1].substring(0,3)}} (Return)</h1>
			</div>
            <div class="sc-o-row">
                <div class="sc-o-col-12 sc-u-grid-gutter-y">
                    <div class="search-result-container">
						
						<!-- flight result -->
						
						<div ng-repeat="flightList in flightResponse.flightSearchResults track by $index">
							<div class="flight-listing"  ng-if="$index == 0">
								<div class="flight-legs-section">
									<div class="flight-leg">
										<div class="leg-header">
											<span class="flight-date" ng-bind="flightResponse.deptDate"></span>
										</div>
										<div class="leg-main">
											<div class="airline-logo">
												<img class="airline-logo" src="images/Airlines/sm{{flightList.outboundFilter.airlineCode}}.png" />
											</div>
											<div class="leg-itinerary">
												<div class="parts">
													
													<div class="part part-point part-point-departure">
														<div ng-repeat="segment in flightList.segGrpList">
															<div ng-repeat="segmentList in segment.segList">
																<div>
																	<span class="flight-airport-code" ng-bind="segmentList.origin.split('(')[1].substring(0,3)"></span>
																	<span class="flight-time" ng-bind="segmentList.startTime"></span>
																</div>
																<div class="flight-airport-title">
																	<span class="title" ng-bind="segmentList.origin.split('(')[0]"></span>
																</div>
															</div>
														</div>
													</div>
													<div class="part part-journey">
														<div ng-repeat="segment in flightList.segGrpList">
															<div ng-repeat="segmentList in segment.segList">
																<div class="flight-duration">
																	<span ng-bind="segmentList.dispTotFlyDuration"></span>
																</div>
																
																<div class="flight-stops-graphic">
																	<div class="stops"></div>
																</div>
																<div class="flight-stops">
																	<span ng-if="segmentList.stops == 1">{{segmentList.stops}} Stops</span>
																	<span ng-if="segmentList.stops == 0" >Direct</span>
																	<span ng-if="segmentList.stops == 2" >{{segmentList.stops}} Stops</span>
																</div>
															</div>
														</div>
													</div>
													
													<div class="part part-point part-point-arrival">
														<div ng-repeat="segment in flightList.segGrpList">
															<div ng-repeat="segmentList in segment.segList">
																<div>
																	<span class="flight-time" ng-bind="segmentList.arrivalTime">
																		<span class="flight-airport-code" ng-bind="segmentList.dest.split('(')[1].substring(0,3)">
																		</div>
																		<div class="flight-airport-title">
																			<span class="title" ng-bind="segmentList.dest.split('(')[0]"></span>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														
													</div>
												</div>
											</div>
										</div>
										<div class="flight-info-section">
											<a href ng-click="openFlightDetails('lg')" class="details-link o-icon-label o-icon-label--sm">
												<i class="o-icon-label__icon icon-information"></i>
												<span class="o-icon-label__caption">Flight Details</span>
											</a>
											
											<div>
												<button type="button" class="btn btn-select btn-block" ng-click="openChangeFlight('lg')">
													<i class="sc-c-button__icon icon-chevron-left"></i>
													Change Flight
												</button>
											</div>
										</div>
									</div>
								</div>
							</div>
							<!-- end -->
							
						</div>
					</div>
				</div>
			</div>
		</div>
		
	</div>
	<div class="row my-4">
		<div class="col-md-3">
			<div class="side-panel">
				<div class="search-filter-header">
					<h3 class="sc-c-heading">
						Filter by
					</h3>
				</div>
				<div class="search-filter-section" ng-repeat="filter in filterOptions track by $index">
					<div class="search-filter-section__header">
						{{filter.title}}
					</div>
					<div class="search-filter-section__body">
						
						<div ng-if="filter.filters">
							<label class="sc-o-checkbox sc-o-checkbox--block" ng-repeat="item in filter.filters track by $index">
								<input type="checkbox" class="sc-o-checkbox__input">
								<span class="sc-o-checkbox__caption">
									{{item.title}}
									<div class="information">
										<span class="cheapest" ng-if="item.cheapest">cheapest</span>
										<span class="price"><span class="currency-name">OMR</span> {{item.price}}</span>
									</div>
								</span>
							</label>
						</div>
						<div ng-if="filter.sliders">
							<div class="slider-label">
								From <span class="number">{{filter.sliders.from}}</span> To <span class="number">{{filter.sliders.to}}</span>
							</div>
							<div range-slider min="filter.sliders.from" max="filter.sliders.to" model-min="filter.sliders.from" model-max="filter.sliders.to"></div>
						</div>
						<div ng-if="filter.searchBox" class="filter-search">
							<input type="text" class="form-control" placeholder="Enter a hotel name" />
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="col-md-9 search-results-panel">
			<div class="search-results-info-panel sc-u-grid-gutter-y">
				<h1 class="sc-c-heading sc-c-heading--xl">Hotels in Guayas, Ecuador - 20 properties found</h1>
			</div>
			<div class="search-results-control-bar my-3">
				<div class="row">
					<div class="col-md-7">
						<div class="section-sorting">
							<span class="control-bar-caption">Sort By</span>
							<select>
								<option label="Recommended" value="number:1" selected="selected">Recommended</option>
								<option label="Customer Rating" value="number:2">Customer Rating</option>
								<option label="Price (lowest first)" value="number:5">Price (lowest first)</option>
								<option label="Price (highest first)" value="number:6">Price (highest first)</option>
								<option label="Star Rating (highest first)" value="number:8">Star Rating (highest first)</option>
								<option label="Star Rating (lowest first)" value="number:7">Star Rating (lowest first)</option>
							</select>
						</div>
					</div>
					<!--
						<div class="col-md-5 text-right">
						<label class="switch-label">Per Person</label>
						<switch id="enabled" name="enabled" ng-model="enabled" class="green"></switch>
						</div>
					-->
				</div>
				
				
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="hotel-box" ng-repeat="hotel in hotelList track by $index">
						<div class="hotel-img">
							<img src="{{hotel.hotelDetails.hotelImage}}" />
						</div>
						<div class="hotel-detail-section">
							<h4 class="sc-c-listing-card__heading">
								<a>{{hotel.hotelDetails.hotelName}}</a>
								<a class="shortlist-toggle add">
									<i ng-class="{ 'icon-favourite': !hotel.inShortlist, 'icon-favourite-active': hotel.inShortlist }" tooltip="Save this hotel to your shortlist" class="icon-favourite"></i>
								</a>
							</h4>
							<a class="o-icon-label o-icon-label--sm" href="#" lightbox-map-trigger="" element="hotel">
								<i class="o-icon-label__icon icon-pin"></i>
								<span class="o-icon-label__caption">{{hotel.hotelDetails.hotelDestination}}</span>
							</a>
							<ul class="sc-c-listing-card__ratings inline-info-list">
								<li ng-repeat="a in range(hotel.hotelDetails.starRating) track by $index">
									<i class="fa fa-star" aria-hidden="true"></i>
								</li>
							</ul>
							<div class="hype-message">
								<a class="hype-message hype-message-pay-later" target="_blank">Buy now, pay later</a>
							</div>
						</div>
						<div class="hotel-fare-box">
							<div class="sc-c-listing-card__cta-price">
								<div class="pricing-block sc-c-price-block">
									<div class="sc-c-price-block__caption">
										Rooms from
									</div>
									<span class="sc-c-price-block__amount">
										<span class="ng-binding">OMR {{hotel.totalFare}}</span>
									</span>
									<div class="sc-c-price-block__legend">Total price for {{hotel.hotelDetails.days}} nights</div>
								</div>
							</div>
							
							
							<button type="button" class="btn btn-select btn-block" ui-sref="holidayDetails" href>
								Select <i class="sc-c-button__icon icon-chevron-right"></i>
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div> 

<script type="text/ng-template" id="changeFlight.html">
	<div class="modal-header">
<h3 class="modal-title" id="modal-title">Choose Flight</h3>
</div>
<div class="modal-body" id="modal-body">
	<div class="sc-o-row">
		<div class="sc-o-col-12 sc-u-grid-gutter-y">
			<div class="search-result-container">
				<!-- start -->
				<div class="flight-listing" ng-repeat="flight in flightsearchRes.flightSearchResults">
					<div class="flight-legs-section">
						<div class="flight-leg">
							<div class="leg-header">
								<span class="flight-date" ng-bind="flightsearchRes.deptDate"></span>
							</div>
							<div class="leg-main">
								<div class="airline-logo">
									<img class="airline-logo" src="images/Airlines/sm{{flight.outboundFilter.airlineCode}}.png" />
								</div>
								<div class="leg-itinerary">
									<div class="parts">
										
										<div class="part part-point part-point-departure">
											<div ng-repeat="segment in flight.segGrpList">
												<div ng-repeat="segmentList in segment.segList">
													<div>
														<span class="flight-airport-code" ng-bind="segmentList.origin.split('(')[1].substring(0,3)"></span>
														<span class="flight-time" ng-bind="segmentList.startTime"></span>
													</div>
													<div class="flight-airport-title">
														<span class="title" ng-bind="segmentList.origin.split('(')[0]"></span>
													</div>
												</div>
											</div>
										</div>
										<div class="part part-journey">
											<div ng-repeat="segment in flight.segGrpList">
												<div ng-repeat="segmentList in segment.segList">
													<div class="flight-duration">
														<span ng-bind="segmentList.dispTotFlyDuration"></span>
													</div>
													
													<div class="flight-stops-graphic">
														<div class="stops"></div>
													</div>
													<div class="flight-stops">
														<span ng-if="segmentList.stops == 1">{{segmentList.stops}} Stops</span>
														<span ng-if="segmentList.stops == 0" >Direct</span>
														<span ng-if="segmentList.stops == 2" >{{segmentList.stops}} Stops</span>
													</div>
												</div>
											</div>
										</div>
										
										<div class="part part-point part-point-arrival">
											<div ng-repeat="segment in flight.segGrpList">
												<div ng-repeat="segmentList in segment.segList">
													<div>
														<span class="flight-time" ng-bind="segmentList.arrivalTime">
															<span class="flight-airport-code" ng-bind="segmentList.dest.split('(')[1].substring(0,3)">
															</div>
															<div class="flight-airport-title">
																<span class="title" ng-bind="segmentList.dest.split('(')[0]"></span>
															</div>
														</div>
													</div>
												</div>
											</div>
											
											
										</div>
									</div>
								</div>
							</div>
							<div class="flight-info-section">
								<div>
									<div class="pricing-block sc-c-price-block">
										<div class="sc-c-price-block__caption">
											Return Flight
										</div>
										<span class="sc-c-price-block__amount">
											<span>OMR {{flight.totFare}}</span>
										</span>
										<div class="sc-c-price-block__legend">per person</div>
									</div>
									<button type="button" class="btn btn-select btn-block" ng-click="cancel()">
										Select
										<i class="sc-c-button__icon icon-chevron-right"></i>
									</button>
								</div>
							</div>
						</div>
						<!-- end -->
					</div>
				</div>
			</div>
		</div>
		<div class="modal-footer">
			<button class="applyBtn btn btn-select" type="button" ng-click="cancel()">Discard</button>
		</div>
	</script>
	
	<script type="text/ng-template" id="flightDetails.html">
		<div class="modal-header">
	<h3 class="modal-title" id="modal-title">Flight Details</h3>
</div>
<div class="modal-body">
	<div class="sc-o-row">
		<div class="sc-o-col-12 sc-u-grid-gutter-y">
			<div class="search-result-container flight-details">
				<div ng-repeat="flightInfo in flightsearchResInfo.flightSearchResults track by $index">
					<div class="flight-listing" ng-if="$index == 0">
						<div class="flight-legs-section">
							<div ng-repeat="segment in flightInfo.segGrpList">
								<div ng-repeat="segmentList in segment.segList">
									<div ng-repeat="info in segmentList.fltInfoList">
										<div class="flight-leg">
											<div class="leg-header">
												<span class="flight-date"></span>
											</div>
											<div class="leg-main">
												<div class="airline-logo">
													<img src="images/Airlines/sm/{{info.airline}}.png">
													<p ng-bind="info.fltNum"></p>
													
												</div>
												<div class="leg-itinerary">
													<div class="parts">
														<div class="part part-point part-point-departure">
															<div class="flight-airport-title">
																<span class="flight-time" ng-bind="info.dispStartTime"></span>
															</div>
															<div class="flight-airport-title">
																<span class="flight-time" ng-bind="info.dispArrTime"></span>
																
															</div>
														</div>
														<div class="part part-journey">
															
															<div class="flight-duration">
																<span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span>
																<span class="title" ng-bind="info.origin.split('(')[0]"></span>
																
															</div>
															
															<div class="flight-stops">
																<span class="flight-airport-code" ng-bind="info.dest.split('(')[1].substring(0,3)"></span>
																<span class="title" ng-bind="info.dest.split('(')[1].substring(0,3)"></span>
															</div>
														</div>
														<div class="part part-point part-point-arrival">
															<div class="route-circle top"></div>
															<div class="route-circle bottom"></div>
															<span class="duration">{{flight.fromFlight.duration}}</span>
														</div>
													</div>
												</div>
												
											</div>
											<div class="leg-footer">
												<p class="pull-left">Arrives: <strong ng-bind="info.dispEndDate"></strong></p>
												<p class="pull-right">Jouney Duration: <strong  ng-bind="info.dispDuration"></strong></p>
												<div class="clearfix"></div>
											</div>
										</div>
									</div>
								</div>
							</div>
							
						</div>
					</div>
				</div>
				
			</div>
			
		</div>
	</div>
</div>

<div class="modal-footer">
	<button class="applyBtn btn btn-select" type="button" ng-click="cancel()">Discard</button>
</div>
</script>
